Package org.apache.jmeter.gui.action

# Class LogLevelCommand

java.lang.Object
org.apache.jmeter.gui.action.AbstractAction
org.apache.jmeter.gui.action.LogLevelCommand

All Implemented Interfaces:
  `Command`

@AutoService(Command.class) public class LogLevelCommand extends AbstractAction
Implements log level setting menu item.

Since:
  3.2

## Constructor Summary

Constructors
Constructor
Description
`LogLevelCommand()`

## Method Summary

Modifier and Type
Method
Description
`void`
`doAction(ActionEvent ev)`
`Set<String>`
`getActionNames()`
`static org.apache.logging.log4j.Level`
`getRootLevel()`

### Methods inherited from class org.apache.jmeter.gui.action.AbstractAction

`getParentFrame, popupCheckExistingFileListener, popupShouldSave`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LogLevelCommand

public LogLevelCommand()

## Method Details

### doAction

public void doAction(ActionEvent ev)

Specified by:
  `doAction` in interface `Command`
Overrides:
  `doAction` in class `AbstractAction`
See Also:
  - `Command.doAction(ActionEvent)`

### getActionNames

public Set<String> getActionNames()

### getRootLevel

@API(since="5.3", status=INTERNAL) public static org.apache.logging.log4j.Level getRootLevel()